<!--事件综合统计-->
<template>
  <app-container>
    <case-handle-search :size="size" @search="search"/>
    <case-table ref="table" :list-query="listQuery"/>
    <el-row :gutter="10">
      <el-col :span="12">
        <border-frame title="事件来源统计">
          <case-source ref="source" :list-query="listQuery"/>
        </border-frame>
      </el-col>
      <el-col :span="12">
        <border-frame title="事件回访满意度统计">
          <satisfied-pie ref="satisfied" :list-query="listQuery"/>
        </border-frame>
      </el-col>
    </el-row>
  </app-container>

</template>

<script>
import AppContainer from '../../../components/layout/AppContainer'
import CaseTypeSearch from './components/caseTypeSearch'
import CaseHandleSearch from './components/caseHandleSearch'
import CaseTable from './components/caseTable'
import CaseSource from './components/caseSource'
import SatisfiedPie from './components/satisfiedPie'
import BorderFrame from '../../../components/frame/borderFrame'
export default {
  name: 'CaseAllStatistic',
  components: { BorderFrame, SatisfiedPie, CaseSource, CaseTable, CaseHandleSearch, CaseTypeSearch, AppContainer },
  data() {
    return {
      listQuery: {},
      size: 'small'
    }
  },
  created() {
  },
  methods: {
    search(listQuery) {
      this.listQuery = listQuery
      const vm = this
      setTimeout(function() {
        vm.$refs.table.search()
        vm.$refs.source.search()
        vm.$refs.satisfied.search()
      }, 100)
    }
  }
}
</script>

<style scoped>

</style>
